﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="COMPP.Views.EditProfileCareerPage"
             Shell.NavBarIsVisible="False"
             BackgroundColor="White">

    <ContentPage.Content>
        <ScrollView>
            <StackLayout>
                <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" >
                    <Image Source="background_profile.png" Aspect="AspectFill"></Image>
                    <Grid VerticalOptions="Start">
                        <Image Source="bg_profile.png" Aspect="AspectFit"/>
                    </Grid>
                    <StackLayout Orientation="Vertical" Margin="20,35,20,0" Spacing="20">
                        <StackLayout Orientation="Horizontal" Spacing="200">
                            <ImageButton Source="back.png" BackgroundColor="Transparent" Command="{Binding Back}"></ImageButton>
                            <Label Text="Edit Profile" FontSize="28" TextColor="White"></Label>
                        </StackLayout>
                        <Frame Padding="5" CornerRadius="10">
                            <StackLayout>
                                <StackLayout Orientation="Horizontal">
                                <Label Text="Pengalaman" FontSize="18" TextColor="#47B2BA" HorizontalOptions="FillAndExpand"></Label>
                                    <ImageButton Source="add.png" Command="{Binding AddExperience}"></ImageButton>
                                </StackLayout>
                                <ListView ItemsSource="{Binding ExperienceListShow}" HeightRequest="{Binding ExperienceHeight}" RowHeight="70" VerticalOptions="FillAndExpand">
                                    <ListView.ItemTemplate>
                                        <DataTemplate>
                                            <ViewCell>
                                                <StackLayout Orientation="Horizontal" HorizontalOptions="FillAndExpand">
                                                    <Image Source="{Binding Image}" WidthRequest="48" HeightRequest="48"></Image>
                                                    <StackLayout Spacing="3" HorizontalOptions="FillAndExpand">
                                                        <Label Text="{Binding Title}" TextColor="#353535" FontAttributes="Bold" FontSize="14"></Label>
                                                        <StackLayout Orientation="Horizontal">
                                                            <Label Text="{Binding ExperienceName}" TextColor="#353535" FontSize="14" HorizontalOptions="StartAndExpand"></Label>
                                                            <ImageButton Source="pencil.png" BackgroundColor="Transparent" Clicked="EditExperience_Clicked" CommandParameter="{Binding ExperienceID}"></ImageButton>
                                                        </StackLayout>
                                                        <StackLayout Orientation="Horizontal">
                                                            <Label Text="{Binding StartDate, StringFormat='{0:MMMM yyyy -}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                            <Label Text="{Binding EndDate, StringFormat='{0:MMMM yyyy}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                        </StackLayout>
                                                    </StackLayout>
                                                </StackLayout>
                                            </ViewCell>
                                        </DataTemplate>
                                    </ListView.ItemTemplate>
                                </ListView>
                                <Button Text="Lihat semua pengalaman" Command="{Binding LoadMoreExperience}" BackgroundColor="#47B2BA" HeightRequest="37" CornerRadius="10" IsVisible="{Binding LoadMoreStateExperience}"></Button>
                            </StackLayout>
                        </Frame>
                        <Frame Padding="5" CornerRadius="10">
                            <StackLayout>
                                <StackLayout Orientation="Horizontal">
                                    <Label Text="Pendidikan" FontSize="18" TextColor="#47B2BA" HorizontalOptions="FillAndExpand"></Label>
                                    <ImageButton Source="add.png" Command="{Binding AddEducation}"></ImageButton>
                                </StackLayout>
                                <ListView ItemsSource="{Binding EducationListShow}" HeightRequest="{Binding EducationHeight}" RowHeight="70" VerticalOptions="FillAndExpand">
                                    <ListView.ItemTemplate>
                                        <DataTemplate>
                                            <ViewCell>
                                                <StackLayout Orientation="Horizontal" HorizontalOptions="FillAndExpand">
                                                    <Image Source="{Binding Image}" WidthRequest="48" HeightRequest="48"></Image>
                                                    <StackLayout Spacing="3" HorizontalOptions="FillAndExpand">
                                                        <Label Text="{Binding SchoolName}" TextColor="#353535" FontAttributes="Bold" FontSize="14"></Label>
                                                        <StackLayout Orientation="Horizontal">
                                                            <Label Text="{Binding Description}" TextColor="#353535" FontSize="14" HorizontalOptions="StartAndExpand"></Label>
                                                            <ImageButton Source="pencil.png" BackgroundColor="Transparent" Clicked="EditEducation_Clicked" CommandParameter="{Binding EducationID}"></ImageButton>
                                                        </StackLayout>
                                                        <StackLayout Orientation="Horizontal">
                                                            <Label Text="{Binding StartDate, StringFormat='{0:MMMM yyyy -}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                            <Label Text="{Binding EndDate, StringFormat='{0:MMMM yyyy}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                        </StackLayout>
                                                    </StackLayout>
                                                </StackLayout>
                                            </ViewCell>
                                        </DataTemplate>
                                    </ListView.ItemTemplate>
                                </ListView>
                                <Button Text="Lihat semua pendidikan" Command="{Binding LoadMoreEducation}" BackgroundColor="#47B2BA" HeightRequest="37" CornerRadius="10" IsVisible="{Binding LoadMoreStateEducation}"></Button>
                            </StackLayout>
                        </Frame>
                    </StackLayout>
                </Grid>
            </StackLayout>
        </ScrollView>
    </ContentPage.Content>
</ContentPage>